%define name khostchooser
%define version 0.3
%define release 1
%define prefix /opt/kde

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: K Desktop host chooser replacement
Name: %{name}
Version: %{version}
Release: %{release}
Group: X11/KDE/Applications/Networking
Copyright: GPL
Source: %{name}-%{version}.tgz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Requires: qt >= 1.40 kdelibs >= 1.0

%changelog

%description
A nicer host chooser for kdm or xdm use.

%prep

%setup -n khostchooser

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT \
	--disable-path-checks
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT/%{prefix} install-strip

%files
%doc README CHANGES
%attr(755,root,root) %{prefix}/bin/khostchooser

%attr( - ,root,root) %{prefix}/share/apps
%attr( - ,root,root) %{prefix}/share/config
%attr( - ,root,root) %{prefix}/share/locale
%attr( - ,root,root) %{prefix}/share/doc

%clean
rm -r $RPM_BUILD_ROOT
rm -r $RPM_BUILD_DIR/khostchooser
